body {
    background-color: #fff !important;
    /*background-color: #f1f4f6 !important;*/
    /*font-family: "Lora";*/
    font-family: "Roboto";
}
h1, h2, h3, h4, h5, h6 {
    /*font-family: "Lora";*/
    font-family: "Roboto";
}

a.disabled {
    cursor: no-drop;
}

/* here you can put your own css to customize and override the theme */
.table-list tr, .table-list td {
	vertical-align: middle !important;
}
/* DATA TABLES */
.dataTables_wrapper .toolbar, .dataTables_wrapper .toolbar-main {
    float: left;
    display: inline-flex;
}
.dataTables_wrapper .toolbar {
    width: inherit;
    max-width: 50%;
}
.dataTables_wrapper .toolbar-main {
    width: 100%;
}
.dataTables_wrapper .toolbar .dropdown-menu .column-hide, .dataTables_wrapper .toolbar-main .dropdown-menu .column-hide {
    background-color: #ecd6d6;
}
.dataTables_wrapper .toolbar .dataTables_info, .dataTables_wrapper .toolbar-main .dataTables_info {
    margin-left: 5px;
}
.dataTables_wrapper .toolbar .dataTables_paginate, .dataTables_wrapper .toolbar-main .dataTables_paginate {
    right: 0;
    position: absolute;
}
table.dataTable thead th, table.dataTable thead td { padding: 8px 10px; vertical-align: middle; border-color: #ccc; }

.dataTables_wrapper .toolbar-main .dataTables_filter {
    right: 0;
    position: absolute;
}

.dataTables_wrapper .dataTables_filter input {
  line-height: 1.42857143;
  height: 34px;
  border: 1px solid #ccc;
}
.dataTables_wrapper .dataTables_length { display: none;}
.dataTables_wrapper .dataTables_processing {
    display: none;
    width: 100%;
    height: calc(100% + 30px) !important;
    top: 0 !important;
    right: 0;
    bottom: 0;
    padding-top: 40px;
    background: none;
    background-color: rgba(0,0,0,0.5) !important;
    z-index: 2;
    cursor: progress;
    color: #fff !important;
}
.dt-buttons { float: right !important; margin-left: 10px; }
.dt-buttons .dt-button {
  background: white !important;
  padding: 7px 14px;
  font-size: 14px;
  border: 1px solid #ccc;
}

@media (max-width: 768px) {
	.dt-buttons { display: none; }
}

.text-center{
	text-align: center !important;
}
.text-left{
	text-align: left !important;
}
.text-right{
	text-align: right !important;
}

.modal.zoom {
    display: flex !important;
    opacity: 0;
    transition: 0.3s ease-in-out;
    transform: scale(1.5);
    justify-content: center !important;
    align-items: center !important;
}
.modal.zoom.in, .modal.zoom.out {
    opacity: 1;
    transform: scale(1);
}
.modal.zoom .modal-dialog {
    width: 160px;
    height: 160px
}
.modal.zoom .modal-content {
    width: 100%;
    height: 100%;
    background-color: #555;
    border-color: transparent;
    /*border-radius: 50% !important;*/
}
#popup-success.modal.zoom .modal-content h4 {
    color: #2db533;
    text-align: center;
    font-weight: 500;
    position: relative;
}
#popup-danger.modal.zoom .modal-content h4, #popup-full.modal.zoom .modal-content h4 {
    color: #E94E3D;
    text-align: center;
    font-weight: 500;
    position: relative;
}
#popup-full.modal.zoom .modal-dialog {
    height: 200px;
}
#popup-full.modal.zoom .modal-content h4 span {
    color: #fff;
}
body .modal-backdrop {
    opacity: 0;
    transition: 0.4s ease-in-out;
}
body .modal-backdrop.in {
    opacity: 0.8
}


/* check animation */
.sa-icon {
  width: 80px;
  height: 80px;
  border: 4px solid gray;
  -webkit-border-radius: 40px;
  border-radius: 40px;
  border-radius: 50% !important;
  margin: 10px auto;
  padding: 0;
  position: relative;
  box-sizing: content-box;
}

.sa-icon.sa-success {
  border-color: #4CAF50;
}

.sa-icon.sa-success::before, .sa-icon.sa-success::after {
  content: '';
  -webkit-border-radius: 40px;
  border-radius: 40px;
  border-radius: 50%;
  position: absolute;
  width: 60px;
  height: 120px;
  background: #555;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.sa-icon.sa-success::before {
  -webkit-border-radius: 120px 0 0 120px;
  border-radius: 120px 0 0 120px;
  top: -7px;
  left: -33px;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
  -webkit-transform-origin: 60px 60px;
  transform-origin: 60px 60px;
}

.sa-icon.sa-success::after {
  -webkit-border-radius: 0 120px 120px 0;
  border-radius: 0 120px 120px 0;
  top: -11px;
  left: 30px;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
  -webkit-transform-origin: 0px 60px;
  transform-origin: 0px 60px;
}

.sa-icon.sa-success .sa-placeholder {
  width: 80px;
  height: 80px;
  border: 4px solid rgba(76, 175, 80, .5);
  -webkit-border-radius: 40px;
  border-radius: 40px;
  border-radius: 50% !important;
  box-sizing: content-box;
  position: absolute;
  left: -4px;
  top: -4px;
  z-index: 2;
}

.sa-icon.sa-success .sa-fix {
  width: 5px;
  height: 90px;
  background-color: #555;
  position: absolute;
  left: 28px;
  top: 8px;
  z-index: 1;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.sa-icon.sa-success.animate::after {
  -webkit-animation-delay: 1.5s;
  animation-delay: 1.5s;
  -webkit-animation: rotatePlaceholder 4.25s ease-in-out;
  animation: rotatePlaceholder 4.25s ease-in-out;
}

.sa-icon.sa-success {
  border-color: transparent\9;
}
.sa-icon.sa-success .sa-line.sa-tip {
  -ms-transform: rotate(45deg) \9;
}
.sa-icon.sa-success .sa-line.sa-long {
  -ms-transform: rotate(-45deg) \9;
}

.animateSuccessTip {
  -webkit-animation-delay: 1.5s;
  animation-delay: 1.5s;
  -webkit-animation: animateSuccessTip 0.75s;
  animation: animateSuccessTip 0.75s;
}

.animateSuccessLong {
  -webkit-animation-delay: 1.5s;
  animation-delay: 1.5s;
  -webkit-animation: animateSuccessLong 0.75s;
  animation: animateSuccessLong 0.75s;
}

@-webkit-keyframes animateSuccessLong {
  0% {
    width: 0;
    right: 46px;
    top: 54px;
  }
  65% {
    width: 0;
    right: 46px;
    top: 54px;
  }
  84% {
    width: 55px;
    right: 0px;
    top: 35px;
  }
  100% {
    width: 47px;
    right: 8px;
    top: 38px;
  }
}
@-webkit-keyframes animateSuccessTip {
  0% {
    width: 0;
    left: 1px;
    top: 19px;
  }
  54% {
    width: 0;
    left: 1px;
    top: 19px;
  }
  70% {
    width: 50px;
    left: -8px;
    top: 37px;
  }
  84% {
    width: 17px;
    left: 21px;
    top: 48px;
  }
  100% {
    width: 25px;
    left: 14px;
    top: 45px;
  }
}
@keyframes animateSuccessTip {
  0% {
    width: 0;
    left: 1px;
    top: 19px;
  }
  54% {
    width: 0;
    left: 1px;
    top: 19px;
  }
  70% {
    width: 50px;
    left: -8px;
    top: 37px;
  }
  84% {
    width: 17px;
    left: 21px;
    top: 48px;
  }
  100% {
    width: 25px;
    left: 14px;
    top: 45px;
  }
}

@keyframes animateSuccessLong {
  0% {
    width: 0;
    right: 46px;
    top: 54px;
  }
  65% {
    width: 0;
    right: 46px;
    top: 54px;
  }
  84% {
    width: 55px;
    right: 0px;
    top: 35px;
  }
  100% {
    width: 47px;
    right: 8px;
    top: 38px;
  }
}

.sa-icon.sa-success .sa-line {
  height: 5px;
  background-color: #2db533;
  display: block;
  border-radius: 2px;
  position: absolute;
  z-index: 2;
}

.sa-icon.sa-success .sa-line.sa-tip {
  width: 25px;
  left: 14px;
  top: 46px;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.sa-icon.sa-success .sa-line.sa-long {
  width: 47px;
  right: 8px;
  top: 38px;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

@-webkit-keyframes rotatePlaceholder {
  0% {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }
  5% {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }
  12% {
    transform: rotate(-405deg);
    -webkit-transform: rotate(-405deg);
  }
  100% {
    transform: rotate(-405deg);
    -webkit-transform: rotate(-405deg);
  }
}
@keyframes rotatePlaceholder {
  0% {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }
  5% {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }
  12% {
    transform: rotate(-405deg);
    -webkit-transform: rotate(-405deg);
  }
  100% {
    transform: rotate(-405deg);
    -webkit-transform: rotate(-405deg);
  }
}

/* cross animation */
.circle-cross {
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    width: 80px;
    height: 80px;
    background: #555;
    border-radius: 100%;
    transform: rotate(135deg);
}
.circle-cross:before, .circle-cross:after {
    box-sizing: inherit;
    content: '';
    position: absolute;
    border: 2px solid #555;
    border-radius: 100%;
    top: 0;
    left: 0;
}
.circle-cross:before {
    border: 2px solid transparent;
}
.circle-cross:after {
    border: 0 solid transparent;
}
.circle-cross .line1, .circle-cross .line2 {
    position: absolute;
    top: 40px;
    left: 40px;
    border-top: 3px solid #E94E3D;
    transform: rotate(0deg);
    transform-origin: 50% 50%;
}
.circle-cross .line2 {
    transform: rotate(90deg);
}
.circle-cross.show:before, .circle-cross.show:after {
    width: 100%;
    height: 100%;
}
.circle-cross.show:before {
    border-top-color: #af463a;
    border-right-color: #af463a;
    border-bottom-color: #af463a;
    transition: border-top-color 0.1s linear, border-right-color 0.1s linear 0.08s, border-bottom-color 0.1s linear 0.16s;
}
.circle-cross.show:after {
    border-top: 2px solid #af463a;
    border-left-width: 2px;
    border-right-width: 2px;
    -webkit-transform: rotate(270deg);
          transform: rotate(270deg);
    transition: border-left-width 0s linear 0.25s, -webkit-transform 0.3s linear 0s;
    transition: transform 0.3s linear 0s, border-left-width 0s linear 0.25s;
    transition: transform 0.3s linear 0s, border-left-width 0s linear 0.25s, -webkit-transform 0.3s linear 0s;
}
.circle-cross.show .line1,
.circle-cross.show .line2 {
    animation-delay: 1.5s;
    animation: line 0.3s ease-in-out 0.45s forwards;
}
@keyframes line {
  0% {
    left: 40px;
    width: 0;
  }
  100% {
    left: 10px;
    width: 60px;
  }
}

.has-feedback .form-control {
    padding-right: 30.5px;
}
.has-feedback .glyphicon:before {
    line-height: 30px;
}
.has-feedback .input-group > .form-control-feedback {
    right: 0;
}
.has-feedback.has-error label ~ .glyphicon {
    top: 0;
}

/* datepicker */
.ui-datepicker select { color: #666 !important; }

/* login admin */
body.login {
    background-color: #fff !important;
}
body.login:not(.principal) > .logo h1 {
    color: #444 !important;
}
body.login > .content {
    box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.19), 0 5px 10px 0 rgba(0, 0, 0, 0.15);
    background-color: #e4eaec;
}
body.login > .content .alert {
  animation: shake 0.82s cubic-bezier(.36,.07,.19,.97);
  animation-fill-mode: forwards;
  transform: translate3d(0, 0, 0);
  backface-visibility: hidden;
  perspective: 1000px;
}
body.login > .content .form-actions {
    background-color: transparent;
    padding: 18px;
    border-bottom-color: #aaa;
}
body.login > .content .input-icon {
    border-left-color: #187da0 !important;
}

@keyframes shake {
    10%, 90% {
        transform: translate3d(-1px, 0, 0);
    }

    20%, 80% {
        transform: translate3d(2px, 0, 0);
    }

    30%, 50%, 70% {
        transform: translate3d(-4px, 0, 0);
    }

    40%, 60% {
        transform: translate3d(4px, 0, 0);
    }
}

/* login principal */
body.login.principal {
    background-color: #323a5c !important;
}

body.login.principal > .content {
    background-color: rgba(255,255,255,0.8) !important;
}
body.login.principal > .content .form-actions {
    background-color: transparent;
    border-bottom-color: #7b85af;
}
body.login.principal > .content .form-control {
    background-color: #fff !important;
}

.swal-overlay {
    background-color: rgba(51, 51, 51, 0.8);
    z-index: 10050;
}
.swal-modal.swal-validate {
    width: 200px;
    background-color: #555;
    -webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
}
.swal-modal.swal-validate-lg {
    width: 500px;
    background-color: #555;
    -webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
}
.swal-modal.swal-validate .swal-icon:first-child,
.swal-modal.swal-validate-lg .swal-icon:first-child{
    margin-top: 20px !important;
}
.swal-modal.swal-validate .swal-icon--error,
.swal-modal.swal-validate-lg .swal-icon--error{
    border-color: #E94E3D;
}
.swal-modal.swal-validate .swal-icon--error .swal-icon--error__line,
.swal-modal.swal-validate-lg .swal-icon--error .swal-icon--error__line{
    background-color: #E94E3D;
}
.swal-modal.swal-validate .swal-icon--success:after,
.swal-modal.swal-validate .swal-icon--success:before,
.swal-modal.swal-validate .swal-icon--success__hide-corners,
.swal-modal.swal-validate-lg .swal-icon--success:after,
.swal-modal.swal-validate-lg .swal-icon--success:before,
.swal-modal.swal-validate-lg .swal-icon--success__hide-corners {
    background-color: #555;
}
.swal-modal.swal-validate .swal-icon--success__hide-corners,
.swal-modal.swal-validate-lg .swal-icon--success__hide-corners {
    width: 8px;
    height: 104px;
    top: -1px;
    left: 25px;
}
.swal-modal.swal-validate .swal-icon--success:after,
.swal-modal.swal-validate-lg .swal-icon--success:after {
    width: 75px;
    height: 128px;
    top: -14px;
    left: 29px;
}
.swal-modal.swal-validate .swal-title,
.swal-modal.swal-validate-lg .swal-title {
    color: #fff;
}
.swal-modal.swal-validate .swal-text,
.swal-modal.swal-validate-lg .swal-text {
    color: #999;
}
.swal-modal.swal-validate .swal-button,
.swal-modal.swal-validate-lg .swal-button {
    box-shadow: none;
    padding: 7px 14px;
    font-size: 14px;
    font-weight: 400;
}

/* notification */
@keyframes blink {
    0% {
        background-color: rgba(255,0,0,0.5)
    }
    70% {
        background-color: rgba(255,0,0,0)
    }
    100% {
        background-color: rgba(255,0,0,0.5)
    }
}
@-webkit-keyframes blink {
    0% {
        background-color: rgba(255,0,0,0.5)
    }
    70% {
        background-color: rgba(255,0,0,0)
    }
    100% {
        background-color: rgba(255,0,0,0.5)
    }
}

.notification.notification-active {
    color: #fff !important;
    -moz-transition:all 1s ease-in-out;
    -webkit-transition:all 1s ease-in-out;
    -o-transition:all 1s ease-in-out;
    -ms-transition:all 1s ease-in-out;
    transition:all 1s ease-in-out;
    -moz-animation:blink normal 1s infinite ease-in-out;
    /* Firefox */
    -webkit-animation:blink normal 1s infinite ease-in-out;
    /* Webkit */
    -ms-animation:blink normal 2.5s infinite ease-in-out;
    /* IE */
    animation:blink normal 2.5s infinite ease-in-out;
    /* Opera */
}
/* blink read soft */
@keyframes blink-redsoft {
    0% {
        background-color: rgba(255,0,0,0.2);
    }
    70% {
        background-color: rgba(255,0,0,0);
    }
    100% {
        background-color: rgba(255,0,0,0.2);
    }
}
@-webkit-keyframes blink-redsoft {
    0% {
        background-color: rgba(255,0,0,0.2);
    }
    70% {
        background-color: rgba(255,0,0,0);
    }
    100% {
        background-color: rgba(255,0,0,0.2);
    }
}
.table .danger-active {
    -moz-animation:blink-redsoft normal 1s infinite ease-in-out;
    /* Firefox */
    -webkit-animation:blink-redsoft normal 1s infinite ease-in-out;
    /* Webkit */
    -ms-animation:blink-redsoft normal 2.5s infinite ease-in-out;
    /* IE */
    animation:blink-redsoft normal 2.5s infinite ease-in-out;
}


@keyframes blink-reddark {
    0% {
        background-color: #a51414
    }
    70% {
        background-color: #464646
    }
    100% {
        background-color: #a51414
    }
}
@-webkit-keyframes blink-reddark {
    0% {
        background-color: #a51414
    }
    70% {
        background-color: #464646
    }
    100% {
        background-color: #a51414
    }
}
.portlet .dataTables_length .btn.active {
    -moz-animation:blink-reddark normal 1s infinite ease-in-out;
    /* Firefox */
    -webkit-animation:blink-reddark normal 1s infinite ease-in-out;
    /* Webkit */
    -ms-animation:blink-reddark normal 2.5s infinite ease-in-out;
    /* IE */
    animation:blink-reddark normal 2.5s infinite ease-in-out;
}

.btn-xs {
    font-size: 11px;
    margin-bottom: 2px;
}

/* blink orange soft */
@keyframes blink-orangesoft {
    0% {
        background-color: rgba(255,197,65,0.4)
    }
    70% {
        background-color: rgba(255,197,65,0)
    }
    100% {
        background-color: rgba(255,197,65,0.4)
    }
}
@-webkit-keyframes blink-orangesoft {
    0% {
        background-color: rgba(255,197,65,0.4)
    }
    70% {
        background-color: rgba(255,197,65,0)
    }
    100% {
        background-color: rgba(255,197,65,0.4)
    }
}
.table .warning-active, .form-horizontal .form-group.warning-active {
    -moz-animation:blink-orangesoft normal 1s infinite ease-in-out;
    /* Firefox */
    -webkit-animation:blink-orangesoft normal 1s infinite ease-in-out;
    /* Webkit */
    -ms-animation:blink-orangesoft normal 2.5s infinite ease-in-out;
    /* IE */
    animation:blink-orangesoft normal 2.5s infinite ease-in-out;
}
.form-horizontal .form-group.warning-active .form-control {
    background: rgba(255,255,255,0.5);
}
/* blink orange soft */

/* blink green soft */
@keyframes blink-greensoft {
    0% {
        background-color: rgba(119,202,85,0.4)
    }
    70% {
        background-color: rgba(119,202,85,0)
    }
    100% {
        background-color: rgba(119,202,85,0.4)
    }
}
@-webkit-keyframes blink-greensoft {
    0% {
        background-color: rgba(119,202,85,0.4)
    }
    70% {
        background-color: rgba(119,202,85,0)
    }
    100% {
        background-color: rgba(119,202,85,0.4)
    }
}
.table .success-active, .form-horizontal .form-group.success-active {
    -moz-animation:blink-greensoft normal 1s infinite ease-in-out;
    /* Firefox */
    -webkit-animation:blink-greensoft normal 1s infinite ease-in-out;
    /* Webkit */
    -ms-animation:blink-greensoft normal 2.5s infinite ease-in-out;
    /* IE */
    animation:blink-greensoft normal 2.5s infinite ease-in-out;
}
.form-horizontal .form-group.success-active .form-control {
    background: rgba(255,255,255,0.5);
}
/* blink green soft */

/* alertify */
.alertify-notifier {
    z-index: 10000;
}
.alertify-notifier.ajs-top {
    top: 60px;
}
.alertify-notifier.ajs-right {
    right: -10px;
}
.alertify-notifier .ajs-error {
    background-color: rgba(216, 74, 56, .85) !important;
    text-shadow: none !important;
}
.alertify-notifier .ajs-error:hover {
    background-color: rgba(216, 74, 56, .95) !important;
}
.alertify-notifier .ajs-warning {
    background-color: rgba(255, 219, 138, .85) !important;
    text-shadow: none !important;
}
.alertify-notifier .ajs-warning:hover {
    background-color: rgba(255, 219, 138, .95) !important;
}
.alertify-notifier .ajs-message {
    border-color: rgba(255, 0, 0, 0.5);
}

/* new format style */
/* 2020-01-14 */
.page-header.navbar {
    background-color: rgba(219,228,232,0.8);
}
.page-header.navbar .top-menu .navbar-nav > li.dropdown-user .dropdown-toggle, .page-header.navbar .top-menu .navbar-nav > li.dropdown-user.open .dropdown-toggle {
    background: transparent;
}
.page-header.navbar .top-menu .navbar-nav > li.dropdown-user .dropdown-toggle:hover {
    background-color: rgba(240,240,240,0.5) !important;
    /*backdrop-filter: blur(10px);*/
    -webkit-backdrop-filter: blur(10px);
    -moz-backdrop-filter: blur(10px);
    -o-backdrop-filter: blur(10px);
    -ms-backdrop-filter: blur(10px);
}
.page-header.navbar, .navbar-slide {
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
    -moz-backdrop-filter: blur(3px);
    -o-backdrop-filter: blur(3px);
    -ms-backdrop-filter: blur(3px);
}

/* 2020-01-27 */
body .navbar-brand {
    height: 46px;
    display: flex;
    align-items: center;
}
body .navbar-brand img {
    max-height: 46px;
    max-width: 130px;
}
.navbar-nav.pull-right > li {
    height: 46px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.navbar-nav.pull-right > li > img {
    max-height: 46px;
    max-width: 100px;
}
.page-header.navbar .hor-menu.hor-menu-light .navbar-nav > li > a {
    /*color: #ccc;*/
    color: #6c757d;
}
.page-header.navbar .hor-menu.hor-menu-light .navbar-nav > li > a:hover {
    color: #eee;
}
.page-header.navbar .top-menu .navbar-nav > li.dropdown-user .dropdown-toggle .username,
.page-header.navbar .top-menu .navbar-nav > li.dropdown-user .dropdown-toggle .i{
    /*color: #ccc;*/
    color: #4e5458;
}
.page-header.navbar .top-menu .navbar-nav > li.dropdown-user .dropdown-toggle:hover .username,
.page-header.navbar .top-menu .navbar-nav > li.dropdown-user .dropdown-toggle:hover .i{
    /*color: #eee;*/
    color: #333;
}

/* 2020-01-28 */
@media (min-width: 992px) {
    .modal-lg {
        width: 1000px;
    }
}
.flip-scroll {
    overflow-x: overlay;
}
.flip-scroll::-webkit-scrollbar:horizontal {
    height: 5px;
    
}
.flip-scroll::-webkit-scrollbar-thumb {
    background-color: rgb(161, 178, 189);
}
.flip-scroll .dataTables_wrapper {
    margin-bottom: 25px;
}
.page-header.navbar .hor-menu.hor-menu-light .navbar-nav > li > a:hover, .page-header.navbar .hor-menu.hor-menu-light .navbar-nav > li > a:focus {
    background-color: rgba(240,240,240,0.5);
    color: #333;
}

.page-sidebar.navbar-collapse.in {
    /*display: block !important;*/
    z-index: 1;
    background-color: #fff;
    padding: 15px 15px 15px 25px;
    position: fixed;
}
.navbar-nav:not(.pull-right) {
    float: none;
}
.navbar-nav:not(.pull-right)>li {
    float: none;
}
.modal-backdrop.navmenu-modal.fade.in {
    display: none !important;
}
.navbar-slide {
    margin-top: 46px !important;
    height: auto;
    /*background-color: #fff;*/
    /*background-color: rgba(219,228,232,1);*/
    position: fixed;
    width: 80px !important;
    padding-left: 0;
    padding-right: 0;
    padding: 0 10px;
    background: rgba(228,234,236,1);
background: -moz-linear-gradient(top, rgba(228,234,236,1) 0%, rgba(250,250,250,1) 100%);
background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(228,234,236,1)), color-stop(100%, rgba(250,250,250,1)));
background: -webkit-linear-gradient(top, rgba(228,234,236,1) 0%, rgba(250,250,250,1) 100%);
background: -o-linear-gradient(top, rgba(228,234,236,1) 0%, rgba(250,250,250,1) 100%);
background: -ms-linear-gradient(top, rgba(228,234,236,1) 0%, rgba(250,250,250,1) 100%);
background: linear-gradient(to bottom, rgba(228,234,236,1) 0%, rgba(250,250,250,1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e4eaec', endColorstr='#fafafa', GradientType=0 );
}
.navbar-slide .nav {
    margin-bottom: 20px;
}
.navbar-slide .nav-title {
    display: none;
}
.navbar-slide .nav-icon {
    width: 1.3em;
    margin-right: 15px;
}
.navbar-slide .nav> li> a {
    cursor: pointer;
}
.navbar-slide .caret {
    display: initial; 
}
.navbar-slide.in {
    width: 280px !important;
    /*padding: 0 15px 0 25px;*/
}
.navbar-slide.in .caret {
    position: relative;
    top: 10px;
    margin-left: 15px;
}
.navbar-slide:not(.in) .caret {
    position: absolute;
    top: 21px;
    right: 0;
}
.navbar-slide.in .nav-title {
    display: block;
}
.navbar-slide.in .nav>li>a {
    display: inline-flex;
    width: 100%;
    line-height: 24.016px;
}
.navbar-slide.offcanvas .nav.navbar-nav .sub-menu {
    padding-left: 50px;
}
.navbar-slide.offcanvas .nav.navbar-nav .sub-menu li {
    border-bottom: 1px solid #e2e2e2;
}
.navbar-slide.offcanvas .nav.navbar-nav .sub-menu li:last-child {
    border-bottom-width: 0;
}
.navbar-slide.offcanvas .nav.navbar-nav .sub-menu li > a {
    color: #4e5458;
    padding: 5px 15px;
}
.navbar-slide.offcanvas .nav.navbar-nav .sub-menu li > a:hover {
    color: #333;
}
.badge {
    position: absolute !important;
    top: 5px;
    right: 5px;
}
.btn.soluchain {
    background-color: #3F729B;
    transition: background-color .25s ease-in-out;
    color: #fff;
}
.btn.soluchain:hover, .btn.soluchain:active {
    background-color: #24679c;
}
.portlet.soluchain {
    background-color: #3F729B;
    border: 1px solid #3F729B;
}
.portlet.soluchain .portlet-title {
    background-color: #3F729B;
}
.portlet > .portlet-title > .caption > i {
    color: #fff;
}



/* devmode */
.devmode {
    background-color: #2b2d44 !important;
}
.devmode .page-header.navbar,
.devmode .page-header.navbar .search-form {
    background-color: #1f215a !important;
}
.devmode .page-header.navbar .dropdown-extended[ng-controller] .fa {
    color: #aaa !important;
}
.devmode .page-header.navbar .dropdown-extended[ng-controller] a:hover .fa {
    color: #eee !important;
}
/*.devmode .navbar-nav > li.open,*/
.devmode .page-header.navbar .search-form.open,
.devmode .page-header.navbar .top-menu .navbar-nav > li.dropdown-user .dropdown-toggle.open,
.devmode .page-header.navbar .hor-menu.hor-menu-light .navbar-nav > li > a:hover {
    background-color: #272a79 !important;
}
.devmode .page-header.navbar .hor-menu.hor-menu-light .navbar-nav > li.active > a:hover {
    background-color: #ec4733 !important;
}
.devmode .page-header.navbar .menu-toggler {
    background-image: url(../img/sidebar_toggler_icon_light2.png) !important;
}
.devmode .page-header.navbar .top-menu .navbar-nav > li.dropdown-user .dropdown-toggle .username,
.devmode .page-header.navbar .top-menu .navbar-nav > li.dropdown-user .dropdown-toggle .i {
    color: #bbb;
}
.devmode .page-header.navbar .top-menu .navbar-nav > li.dropdown-user > a:hover,
.devmode .page-header.navbar .top-menu .navbar-nav > li.dropdown-user > .dropdown-toggle:hover {
    background-color: rgba(255,255,255,0.1) !important;
}
.devmode .page-header.navbar .top-menu .navbar-nav > li.dropdown-user > a:hover,
.devmode .page-header.navbar .top-menu .navbar-nav > li.dropdown-user > .dropdown-toggle:hover,
.devmode .page-header.navbar .top-menu .navbar-nav > li.dropdown-user > a:hover .username,
.devmode .page-header.navbar .top-menu .navbar-nav > li.dropdown-user > a:hover .i {
    color: #fff !important;
}
.devmode .page-footer .page-footer-tools .go-top {
    background-color: #404154 !important;
}
.devmode .page-footer a {
    color: #fff !important;
}

.btn-outline-info {
    border: 1px solid #72b8f2;
    color: #4eadfb;
    background-color: #fff;
    padding: 6px 13px;
}
.btn-outline-info:hover {
    color: #1e96f9;
    border-color: #50b0ff;
}
#searchby select, #searchby input, #searchby button {
    margin-bottom: 5px;
}


.dropdown-toggle.danger-active {
    -moz-animation: blink normal 2.5s infinite ease-in-out;
    /* Firefox */
    -webkit-animation: blink normal 2.5s infinite ease-in-out;
    /* Webkit */
    -ms-animation: blink normal 2.5s infinite ease-in-out;
    /* IE */
    animation: blink normal 2.5s infinite ease-in-out;
}
.dropdown-toggle.danger-active > i {
    color: #3438b3 !important;
    -moz-animation: shake 2.5s infinite;
    /* Firefox */
    -webkit-animation: shake 2.5s infinite;
    /* Webkit */
    -ms-animation: shake 2.5s infinite;
    /* IE */
    animation: shake 2.5s infinite;
}

@keyframes shake {
    0% { transform: translate(0, 0) rotate(0deg); }
   20% { transform: translate(-2px, 0) rotate(20deg); }
   40% { transform: translate(2px, 0) rotate(-20deg); }
   60% { transform: translate(-2px, 0) rotate(20deg); }
   80% { transform: translate(2px, 0) rotate(-20deg); }
  100% { transform: translate(0, 0) rotate(0deg); }
}
[ng-controller="warningProducts"] .dropdown-menu {
    width: 300px !important;
}
[ng-controller="warningLabel"] .dropdown-menu, [ng-controller="warningMarketplaces"] .dropdown-menu {
    width: 350px !important;
}

[ng-controller="warningMarketplaces"] .dropdown-menu ul, [ng-controller="warningProducts"] .dropdown-menu ul, #warehouse_list, #year_list {
    overflow-y: hidden;
    list-style: none;
    padding-left: 0;
}
[ng-controller="warningLabel"] .stock-notification, [ng-controller="warningMarketplaces"] .stock-notification, [ng-controller="warningProducts"] .stock-notification {
    padding: 10px;
    font-size: 13px;
    font-weight: 300;
    clear: both;
    background-color: #fff;
    border-bottom: 1px solid #f4f4f4 !important;
}
[ng-click="emptyColumn(column._name)"] {
    cursor: pointer;
}
[ng-click="emptyColumn(column._name)"] i {
    animation: color 3.3s ease-in-out;
}
[ng-click="emptyColumn(column._name)"]:hover i {
    color: #f22;
}
.fa.fa-question-circle-o[title] {
    cursor: pointer;
}
.alert.box {
    padding: 5px 15px;
}
.alert.box table td {
    padding: 3px 5px;
}

.fa.fa-clipboard {
    cursor: pointer;
    color: #3f729b;
}
#proteamSystemApp .page-container .page-content-wrapper h2 {
    margin-top: 0;
}


.timeline {
    border-bottom-right-radius: 4px !important;
    border-top-right-radius: 4px !important;
    background: rgba(110, 110, 110, 0.09);
    margin: 0 auto;
    margin-left: 23%;
    letter-spacing: 0.2px;
    position: relative;
    line-height: 1.4em;
    font-size: 1.03em;
    padding: 5px 0;
    list-style: none;
    text-align: left;
    max-width: 77%;
}
@media (max-width: 767px) {
    .timeline {
        max-width: 98%;
        padding: 25px;
    }
}

.timeline h1 {
    font-weight: 300;
    font-size: 1.4em;
}

.timeline h2,
.timeline h3 {
    font-weight: 600;
    font-size: 1.5rem;
    margin-bottom: 10px;
    margin-top: 0;
}

.timeline .event {
    padding: 10px 25px 25px 30px;
    border-left: 3px solid #3f729b;
    border-bottom: 2px dashed #fff;
    padding-bottom: 25px;
    position: relative;
}

@media (max-width: 767px) {
    .timeline .event {
        padding-top: 30px;
    }
}

.timeline .event:last-of-type {
    padding-bottom: 0;
    margin-bottom: 0;
    border-left: solid 3px #f2f3fe;
}

.timeline .event:before,
.timeline .event:after {
    position: absolute;
    display: block;
    top: 8px;
}

.timeline .event:before {
    left: -137px;
    content: attr(data-date);
    white-space: pre;
    text-align: right;
    font-weight: 100;
    font-size: 0.9em;
    min-width: 120px;
}

@media (max-width: 767px) {
    .timeline .event:before {
        left: 0px;
        text-align: left;
    }
}

.timeline .event:after {
    -webkit-box-shadow: 0 0 0 3px #3f729b;
    box-shadow: 0 0 0 3px #3f729b;
    left: -5.8px;
    background: #fff;
    border-radius: 50%;
    height: 9px;
    width: 9px;
    content: "";
    top: 13px;
}

@media (max-width: 767px) {
    .timeline .event:after {
        left: -31.8px;
    }
}
.timeline .guideline {
    width: 3px;
    height: 15px;
    background: #3f729b;
    position: absolute;
    top: -2px;
    left: -3px;
}
.timeline .event:first-of-type .guideline {
    top: -5px;
}
.btn.warning {
    -moz-animation: blink-grey normal 2.5s infinite ease-in-out;
    /* Firefox */
    -webkit-animation: blink-grey normal 2.5s infinite ease-in-out;
    /* Webkit */
    -ms-animation: blink-grey normal 2.5s infinite ease-in-out;
    /* IE */
    animation: blink-grey normal 2.5s infinite ease-in-out;
}
@keyframes blink-grey {
    0% {
        background-color: rgba(85,85,85,1)
    }
    50% {
        background-color: rgba(220,85,85,1)
    }
    100% {
        background-color: rgba(85,85,85,1)
    }
}
@-webkit-keyframes blink-grey {
    0% {
        background-color: rgba(85,85,85,1)
    }
    50% {
        background-color: rgba(220,85,85,1)
    }
    100% {
        background-color: rgba(85,85,85,1)
    }
}

.archives .page-header.navbar {
    background: rgba(170, 202, 214, 0.8);
}
.archives .navbar-slide {
    background: rgba(170, 202, 214, 0.5);
}
.archives .navbar-slide .nav>li>a:focus, .archives .navbar-slide .nav>li>a:hover,
.archives .navbar-slide .nav>li.active>a, .archives .navbar-slide .nav .open>a {
    background: rgba(242, 251, 255, 0.5) !important;
}